Package org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcTxEndRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest
    - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcTxEndRequest

All Implemented Interfaces:
  `ClientListenerRequest`, `JdbcRawBinarylizable`

    public class JdbcTxEndRequest
    extends JdbcRequest

JDBC ent transaction request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest

`BATCH_EXEC, BINARY_TYPE_GET, BINARY_TYPE_NAME_GET, BINARY_TYPE_NAME_PUT, BINARY_TYPE_PUT, CACHE_PARTITIONS, META_COLUMNS, META_INDEXES, META_PARAMS, META_PRIMARY_KEYS, META_SCHEMAS, META_TABLES, QRY_EXEC, QRY_META, TX_END, TX_SET_PARAMS`

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
`JdbcTxEndRequest()` Default constructor is used for deserialization.
`JdbcTxEndRequest​(int txId, boolean committed)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `committed()`
`void` `readBinary​(BinaryReaderExImpl reader, JdbcProtocolContext protoCtx)` Reads fields from provided reader.
`String` `toString()`
`int` `txId()`
`void` `writeBinary​(BinaryWriterExImpl writer, JdbcProtocolContext protoCtx)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest

`readRequest, readRequestId, readType, requestId, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`beforeStartupRequest`

### Constructor Detail

#### JdbcTxEndRequest

    public JdbcTxEndRequest()

Default constructor is used for deserialization.

#### JdbcTxEndRequest

    public JdbcTxEndRequest​(int txId,
                            boolean committed)

### Method Detail

#### txId

    public int txId()

Returns:
  Transaction id.

#### committed

    public boolean committed()

Returns:
  `true` if transaction was committed on client, `false` otherwise.

#### writeBinary

    public void writeBinary​(BinaryWriterExImpl writer,
                            JdbcProtocolContext protoCtx)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcRequest`
Parameters:
  `writer` - Binary object writer.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary​(BinaryReaderExImpl reader,
                           JdbcProtocolContext protoCtx)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcRequest`
Parameters:
  `reader` - Binary object reader.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `JdbcRequest`